Skip to main content
Resource Center/Network Resource/OSPF Operations
GETOSPF OperationsSince 3.4.0SynchronousAuth Required

QueryVRouterOspfArea

QueryVRouterOspfArea

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • areaIdStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • authenticationStringRequired

      认证。

    • passwordStringRequired

      密码。

    • keyIdIntegerRequired

      键ID。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/routerArea

/zstack/v1/routerArea

Operation ID

QueryVRouterOspfArea

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/routerArea' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "24b7fb05b43538238f2071c81255fb35", "areaId": "1", "type": "Standard", "authentication": "None", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history